import { NotificationsMixin } from 'ferda/NotificationsMixin'

import { URLS } from 'ferda_pain_js/Urls'
import { use_pain_client } from 'ferda_pain_js/client/painClient'

export default {
    mixins: [ NotificationsMixin ],
    data() {
        return {
            bank_accounts: {
                items: [],
                count: 0,
            },
            is_loading_bank_accounts: true,
        }
    },
    methods: {
        async load_bank_accounts(params = null) {
            this.is_loading_bank_accounts = true

            const {data, error} = await use_pain_client(
                URLS.pain_bank_accounts(),
                'GET',
                null,
                params,
            )

            if (error) {
                this.notify_message(this.ERROR_SOMETHING_WENT_WRONG)
            }

            this.bank_accounts = {
                items: data?.items || [],
                count: data?.count || 0,
            }

            this.is_loading_bank_accounts = false

            return !error
        },
        find_bank_account_by_number(number) {
            const bank_account = this.bank_accounts.items.find((bank_account) => bank_account.number === number)

            return {
                name: bank_account?.name,
                number: number,
                uid: bank_account?.uid,
            }
        },
    },
}
