export default {
    computed: {
        bank_payment_state_map() {
            return {
                initialized: this.$t('ferda_pain_bank_payments:states.initialized'),
                ready_to_process: this.$t('ferda_pain_bank_payments:states.ready_to_process'),
                processed: this.$t('ferda_pain_bank_payments:states.processed'),
                deferred:  this.$t('ferda_pain_bank_payments:states.deferred'),
                canceled: this.$t('ferda_pain_bank_payments:states.canceled'),
                to_refund: this.$t('ferda_pain_bank_payments:states.to_refund'),
                refunded: this.$t('ferda_pain_bank_payments:states.refunded'),
            }
        },
        bank_payment_state_list() {
            return Object.entries(this.bank_payment_state_map).map(([key, value]) => ({
                value: key,
                text: value,
            }))
        },
        bank_payment_invoice_type_map() {
            return {
                advance: this.$t('ferda_pain_bank_payments:invoice_types.advance'),
                account: this.$t('ferda_pain_bank_payments:invoice_types.account'),
            }
        },
        bank_payment_processing_error_map() {
            return {
                duplicity:
                    this.$t('ferda_pain_bank_payments:attributes.processing_error.options.duplicity'),
                insufficient_amount:
                    this.$t('ferda_pain_bank_payments:attributes.processing_error.options.insufficient_amount'),
                excessive_amount:
                    this.$t('ferda_pain_bank_payments:attributes.processing_error.options.excessive_amount'),
                overdue:
                    this.$t('ferda_pain_bank_payments:attributes.processing_error.options.overdue'),
                manually_broken:
                    this.$t('ferda_pain_bank_payments:attributes.processing_error.options.manually_broken'),
                too_old:
                    this.$t('ferda_pain_bank_payments:attributes.processing_error.options.too_old'),
            }
        },
    },
}
