import { URLS } from 'ferda_pain_js/Urls'
import { use_pain_client } from 'ferda_pain_js/client/painClient'

export default {
    data() {
        return {
            application_ids: [],
            is_loading_application_ids: true,
            failed_to_load_application_ids: false,
        }
    },
    mounted() {
        this.load_application_ids()
    },
    methods: {
        async load_application_ids() {
            this.is_loading_application_ids = true

            const {data, error} = await use_pain_client(URLS.pain_applications(), 'GET')
            if (error) {
                this.notify_message(this.ERROR_SOMETHING_WENT_WRONG)
                this.failed_to_load_application_ids = true
            } else {
                this.failed_to_load_application_ids = false
            }

            this.application_ids = data ? data.map(application => application.app_id) : []
            this.is_loading_application_ids = false
        },
    },
}
