import { mapGetters } from 'vuex'

export default {
    computed: {
        ...mapGetters('general', ['permissions']),
        // Whether the user can view bank accounts, payment requests, invoices, bank payments and customers
        can_view() {
            return this.permissions.includes('ferda_pain.can_view')
        },
        // Whether the user can view vat rates
        can_maintain() {
            return this.permissions.includes('ferda_pain.can_maintain')
        },
        // Whether the user can edit bank accounts
        can_edit_account() {
            return this.permissions.includes('ferda_pain.can_edit_account')
        },
        // Whether the user can edit bank payments
        can_edit_payment() {
            return this.permissions.includes('ferda_pain.can_edit_payment')
        },
        // Whether the user can edit payment requests
        can_edit_prequest() {
            return this.permissions.includes('ferda_pain.can_edit_prequest')
        },
    },
}
