import moment from 'moment-timezone'

export default {
    computed: {
        payment_request_state_map() {
            return {
                waiting: this.$t('ferda_pain_payment_requests:states.waiting'),
                overdue: this.$t('ferda_pain_payment_requests:states.overdue'),
                realized: this.$t('ferda_pain_payment_requests:states.realized'),
                closed: this.$t('ferda_pain_payment_requests:states.closed'),
            }
        },
        payment_request_state_list() {
            return Object.entries(this.payment_request_state_map).map(([key, value]) => ({
                value: key,
                text: value,
            }))
        },
    },
    methods: {
        get_payment_request_state(payment_request) {
            if (payment_request.realized_payment) {
                return this.payment_request_state_map['realized']
            }
            if (payment_request.closed_at) {
                return this.payment_request_state_map['closed']
            }
            if (payment_request.due_at_displayed && moment.now() > moment(payment_request.due_at_displayed)) {
                return this.payment_request_state_map['overdue']
            }
            return this.payment_request_state_map['waiting']
        },
    },
}
