import { i18n } from 'FerdaJS/app.config'
import Vue from 'vue'
import Vuetify from 'vuetify/lib'

import PainMenuItem from 'ferda_pain/common/PainMenuItem.vue'
import { get_pain_vuetify_options,
    store,
} from 'ferda_pain_js/main.config'

import { i18next } from './main'
import { can_view_pain } from './permissions'
import { wait_for_element } from './utils'

Vue.use(Vuetify)

document.addEventListener('ferda-loaded', async({ detail }) => {
    const permissions = detail.store_getters['general/permissions']

    if (!can_view_pain(permissions)) {
        return
    }

    // Wait until translations are ready
    await i18next.init()

    const menu = await wait_for_element('.v-navigation-drawer__content > div')
    const pain_item_el = document.createElement('div')
    pain_item_el.setAttribute('id', 'pain-item')
    menu.appendChild(pain_item_el)

    new Vue({
        el: '#pain-item',
        name: 'PainMenuItem',
        vuetify: new Vuetify(get_pain_vuetify_options()),
        i18n,
        store,
        render: createElement => createElement(PainMenuItem),
    })
})
