import { router } from 'FerdaJS/app.config'

import PainBankAccountDetailView from 'ferda_pain/bankAccount/PainBankAccountDetailView.vue'
import PainBankAccountListView from 'ferda_pain/bankAccount/PainBankAccountListView.vue'
import PainBankPaymentDetailView from 'ferda_pain/bankPayment/PainBankPaymentDetailView.vue'
import PainBankPaymentListView from 'ferda_pain/bankPayment/PainBankPaymentListView.vue'
import PainCustomerDetailView from 'ferda_pain/customer/PainCustomerDetailView.vue'
import PainCustomerListView from 'ferda_pain/customer/PainCustomerListView.vue'
import PainInvoiceDetailView from 'ferda_pain/invoice/PainInvoiceDetailView.vue'
import PainInvoiceListView from 'ferda_pain/invoice/PainInvoiceListView.vue'
import PainPaymentRequestDetailView from 'ferda_pain/paymentRequest/PainPaymentRequestDetailView.vue'
import PainPaymentRequestListView from 'ferda_pain/paymentRequest/PainPaymentRequestListView.vue'
import PainVatRateListView from 'ferda_pain/vat/PainVatRateListView.vue'
import { URLS } from 'ferda_pain_js/Urls'

const routes = Object.freeze([
    {
        name: 'bank-account-list',
        path: URLS.pain_bank_account_list_view(),
        component: PainBankAccountListView,
    },
    {
        name: 'bank-account-detail',
        path: URLS.pain_bank_account_detail_view(':bank_account_uid'),
        component: PainBankAccountDetailView,
    },
    {
        name: 'customer-list',
        path: URLS.pain_customer_list_view(),
        component: PainCustomerListView,
    },
    {
        name: 'customer-detail',
        path: URLS.pain_customer_detail_view(':customer_uid'),
        component: PainCustomerDetailView,
    },
    {
        name: 'invoice-list',
        path: URLS.pain_invoice_list_view(),
        component: PainInvoiceListView,
    },
    {
        name: 'invoice-detail',
        path: URLS.pain_invoice_detail_view(':invoice_uid'),
        component: PainInvoiceDetailView,
    },
    {
        name: 'bank-payment-list',
        path: URLS.pain_bank_payment_list_view(),
        component: PainBankPaymentListView,
    },
    {
        name: 'bank-payment-detail',
        path: URLS.pain_bank_payment_detail_view(':bank_payment_uid'),
        component: PainBankPaymentDetailView,
    },
    {
        name: 'payment-request-list',
        path: URLS.pain_payment_request_list_view(),
        component: PainPaymentRequestListView,
    },
    {
        name: 'payment-request-detail',
        path: URLS.pain_payment_request_detail_view(':payment_request_uid'),
        component: PainPaymentRequestDetailView,
    },
    {
        name: 'vat-rate-list',
        path: URLS.pain_vat_rate_list_view(),
        component: PainVatRateListView,
    },
])

for (const route of routes) router.addRoute(route)

export default router
